Bug 1336163 - [abrt] lvm2: dm_task_destroy(): lvm killed by SIGSEGV
Summary: [abrt] lvm2: dm_task_destroy(): lvm killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Kabelac
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9b48cb0ef3d63814a57849530c2...
: 1338897 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-15 01:16 UTC by Luke Macken
Modified: 2017-07-26 08:20 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 08:20:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.07 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: cgroup (276 bytes, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: core_backtrace (3.85 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: dso_list (2.33 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: environ (3.61 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: maps (9.44 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: mountinfo (4.46 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: open_fds (138 bytes, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-05-15 01:16 UTC, Luke Macken
no flags Details

Description Luke Macken 2016-05-15 01:16:26 UTC
Description of problem:
I ran `systemctl start docker` and then `docker-storage-setup`.

Version-Release number of selected component:
lvm2-2.02.150-1.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        lvs --noheadings -o vg_name /dev/mapper/fedora_tomservo-root
crash_function: dm_task_destroy
executable:     /usr/sbin/lvm
global_pid:     1440
kernel:         4.5.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dm_task_destroy at ioctl/libdm-iface.c:474
 #1 device_is_usable at activate/dev_manager.c:654
 #2 _passes_usable_filter at filters/filter-usable.c:143
 #3 _and_p at filters/filter-composite.c:24
 #4 _and_p_with_dev_ext_info at filters/filter-composite.c:35
 #5 _and_p at filters/filter-composite.c:24
 #6 dev_iter_get at device/dev-cache.c:1506
 #7 lvmcache_label_scan at cache/lvmcache.c:815
 #8 lvmcache_get_vgnameids at cache/lvmcache.c:971
 #9 get_vgnameids at metadata/metadata.c:5063

Comment 1 Luke Macken 2016-05-15 01:16:36 UTC
Created attachment 1157586 [details]
File: backtrace

Comment 2 Luke Macken 2016-05-15 01:16:38 UTC
Created attachment 1157587 [details]
File: cgroup

Comment 3 Luke Macken 2016-05-15 01:16:39 UTC
Created attachment 1157588 [details]
File: core_backtrace

Comment 4 Luke Macken 2016-05-15 01:16:40 UTC
Created attachment 1157589 [details]
File: dso_list

Comment 5 Luke Macken 2016-05-15 01:16:41 UTC
Created attachment 1157590 [details]
File: environ

Comment 6 Luke Macken 2016-05-15 01:16:42 UTC
Created attachment 1157591 [details]
File: exploitable

Comment 7 Luke Macken 2016-05-15 01:16:44 UTC
Created attachment 1157592 [details]
File: limits

Comment 8 Luke Macken 2016-05-15 01:16:46 UTC
Created attachment 1157593 [details]
File: maps

Comment 9 Luke Macken 2016-05-15 01:16:47 UTC
Created attachment 1157594 [details]
File: mountinfo

Comment 10 Luke Macken 2016-05-15 01:16:48 UTC
Created attachment 1157595 [details]
File: namespaces

Comment 11 Luke Macken 2016-05-15 01:16:49 UTC
Created attachment 1157596 [details]
File: open_fds

Comment 12 Luke Macken 2016-05-15 01:16:50 UTC
Created attachment 1157597 [details]
File: proc_pid_status

Comment 13 Luke Macken 2016-05-15 01:16:51 UTC
Created attachment 1157598 [details]
File: var_log_messages

Comment 14 jperrygodfrey 2016-05-23 15:27:09 UTC
*** Bug 1338897 has been marked as a duplicate of this bug. ***

Comment 16 Zdenek Kabelac 2016-11-04 15:00:37 UTC
Fixed with upstream commit 99e96f3ce9d14e30b7150d3d4614cf9ab810e264

https://www.redhat.com/archives/lvm-devel/2016-April/msg00108.html

(released in version 2.02.151)

Comment 17 Fedora End Of Life 2017-07-25 20:46:16 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.